List tenant locations
get/v1/tenants/{tenant_id}/locations
Requires an API key
Path parameters
- tenant_idintegerRequired
Query parameters
- afterintegerDefault
0· Minimum 0 - limitintegerDefault
50· Minimum 1 · Maximum 100 - external_referencestring | nullReturn only the resource carrying this external_reference1–128 characters
Returns · 200
- dataarray of LocationRecordRequired
Child attributes
- idintegerRequired
- tenant_idintegerRequired
- namestringRequired
- addressstring | nullRequired
- citystring | nullRequired
- statestring | nullRequired
- countrystring | nullRequired
- postal_codestring | nullRequired
- latitudenumber | nullRequired
- longitudenumber | nullRequired
- time_zonestring | nullRequired
- external_referencestring | null
- next_cursorintegerRequired
GET /v1/tenants/{tenant_id}/locations
curl --fail-with-body "https://api.ivoracharge.com/v1/tenants/1042/locations" \
-H "Authorization: Bearer $IVORA_API_KEY"Response · 200
{
"data": [
{
"id": 1,
"tenant_id": 1042,
"name": "bay-01",
"address": "string",
"city": "string",
"state": "string",
"country": "string",
"postal_code": "string",
"latitude": 34.05,
"longitude": -117.99,
"time_zone": "America/Los_Angeles",
"external_reference": "property:1001"
}
],
"next_cursor": 1
}Try it is not available here yetRequests from this page are off until the production API at
https://api.ivoracharge.com is public. Use the code samples from your application server; Ivora grants production access. Keys are created in Developer tools.